﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using System.Windows.Controls.DataVisualization.Charting;

namespace Chart_Columns3 {
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window {
        public MainWindow() {
            InitializeComponent();
        }
        private void Window_Loaded(object sender, RoutedEventArgs e) {
            mcChart.LegendTitle = "Legende";

            ColumnSeries cs1 = ((ColumnSeries)mcChart.Series[0]);
            cs1.ItemsSource =
        new KeyValuePair<String, int>[]{
        new KeyValuePair<String,int>("M1", 100),
        new KeyValuePair<String,int>("M2", 130),
        new KeyValuePair<String,int>("M3", 150),
        new KeyValuePair<String,int>("M4", 125),
        new KeyValuePair<String,int>("M5",155) };

            ColumnSeries cs2 = ((ColumnSeries)mcChart.Series[1]);
            cs2.ItemsSource =
        new KeyValuePair<String, int>[]{
        new KeyValuePair<String,int>("M1", 110),
        new KeyValuePair<String,int>("M2", 140),
        new KeyValuePair<String,int>("M3", 250),
        new KeyValuePair<String,int>("M4", 325),
        new KeyValuePair<String,int>("M5",155) };


        }


        private void bnChart2Clipboard_Click(object sender, RoutedEventArgs e) {
            CopyUIElementToClipboard(mcChart);
        }

        // source: http://elegantcode.com/2010/12/13/wpfcopy-uielement-to-clipboard-as-multiple-formats/
        public static void CopyUIElementToClipboard(FrameworkElement element) {
            //data object to hold our different formats representing the element 
            DataObject dataObject = new DataObject();
            //lets start with the text representation 
            //to make is easy we will just assume the object set as the DataContext has the ToString method overrideen and we use that as the text
            dataObject.SetData(DataFormats.Bitmap, element, true);

            //now lets do the image representation 
            double width = element.ActualWidth;
            double height = element.ActualHeight;
            RenderTargetBitmap bmpCopied = new RenderTargetBitmap((int)Math.Round(width), (int)Math.Round(height), 96, 96, PixelFormats.Default);
            DrawingVisual dv = new DrawingVisual();
            using (DrawingContext dc = dv.RenderOpen()) {
                VisualBrush vb = new VisualBrush(element);
                dc.DrawRectangle(vb, null, new Rect(new Point(), new Size(width, height)));
            }
            bmpCopied.Render(dv);
            dataObject.SetData(DataFormats.Bitmap, bmpCopied, true);

            //now place our object in the clipboard 
            Clipboard.SetDataObject(dataObject, true);
        }

    }
}
